# Get Account Service Principal

`GET /api/2.0/accounts/{account_id}/scim/v2/ServicePrincipals/{id}`

Gets the details for a single service principal define in the <Databricks> account.

API scopes: scim

## Path parameters

- `id` (string, optional)
  Unique ID for a service principal in the <Databricks> account.
- `account_id` (string, optional)
  <Databricks> account ID

## Returns

- `active` (boolean, optional)
  If this user is active
- `applicationId` (string, optional)
  UUID relating to the service principal
- `displayName` (string, optional)
  String that represents a concatenation of given and family names.
  Example: `etl-service`
- `externalId` (string, optional)
  Constraints: `<= 64 characters`
- `id` (string, optional)
  <Databricks> service principal ID.
- `roles` (array of object, optional)
  Indicates if the group has the admin role.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `account_id` (string, optional)
  <Databricks> account ID

## Response

```json
{
  "active": true,
  "applicationId": "string",
  "displayName": "etl-service",
  "externalId": "string",
  "id": "string",
  "roles": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "account_id": "string"
}
```

